# Locale::filterMatches

# locale_filter_matches

(PHP 5 >= 5.3.0, PHP 7, PECL intl >= 1.0.0)

Locale::filterMatches -- locale_filter_matches — Checks if a language tag filter matches with locale

### Description

Object oriented style

public static Locale::filterMatches ( string `$langtag` , string `$locale` [, bool `$canonicalize` = `FALSE` ] ) : bool

Procedural style

locale_filter_matches ( string `$langtag` , string `$locale` [, bool `$canonicalize` = `FALSE` ] ) : bool

Checks if a $langtag filter matches with $locale according to RFC 4647's basic filtering algorithm

### Parameters

`langtag`

  The language tag to check

`locale`

  The language range to check against

`canonicalize`

  If true, the arguments will be converted to canonical form before matching.

### Return Values

`TRUE` if $locale matches $langtag `FALSE` otherwise.

### Examples

Example #1 locale_filter_matches() example

`<?php
echo (locale_filter_matches('de-DEVA','de-DE', false)) ? "Matches" : "Does not match";
echo '; ';
echo (locale_filter_matches('de-DE_1996','de-DE', false)) ? "Matches" : "Does not match";
?>`

Example #2 OO example

`<?php
echo (Locale::filterMatches('de-DEVA','de-DE', false)) ? "Matches" : "Does not match";
echo '; ';
echo (Locale::filterMatches('de-DE-1996','de-DE', false)) ? "Matches" : "Does not match";
?>`

The above example will output:

    Does not match; Matches

### See Also

- locale_lookup() - Searches the language tag list for the best match to the language